% X_LIST V2.14 IS NOT PUBLIC DOMAINE MATERIAL - but almost free for most
% BBS as stated in the documentation - read it.
%
% This sample control file demonstrates how to forward different files to
% other systems.

SystemPath C:\OPUS\                      % Here's the SystemFiles
OutFile NUL.TXT                          % No file list.
XListData C:\OPUS\CTL\FILEROUT.DAT       % X_List nodepat.

% When working with a LAN, you may need to change this variable..

%FileMode 2   % Default
%FileMode 0   % Open files as read-only.. Might be usefull in MTASK.
              % Other possible values may be found in you LAN documentation.

First 99                                 % Don't scan any area
Last 99
Skip 99
SysOp Per Holm                           % Senders name (normally the SysOp)
Hindustan No
%MsgArea 1                               % Use this area for the Report
%DailyReport                             % Enable this if you want a report.
BoardName  Look at my new X_List 
Address 2:230/22               % Default forward address.
Address 57:4501/100            % Use this address for Zone 57 Nodes.
Address 97:9451/4              % Use this address for Zone 97 Nodes.
%Address 2:230/22.17           % Or maybe a full 4 stroke pointaddress.
Inbound C:\Traffic\In\                   % This is the netfile area.
RSPFiles                                 % Convert those .RSP files to Matrix
                                         % messages
OutBound C:\traffic\Out\                 % Here we put the .?LO files
%
Zones                                    % Use full Zone:Net/Node support
%
LoTechMailer                             % Use fileattaches when forwarding.
%
ForceINTL                                % Force INTL lines in all messages
%
% Ok lets check if someone sent some new files to be moved to another dir.
%
Move C:\In\nodediff.A*  C:\File\Fido\ /T
Move C:\In\Z2-diff.A*   D:\Nodelist\  /X
Move C:\In\Z2-diff.A*   C:\File\Fido\ /T
Move C:\In\FNEWS*.ARC   C:\File\Fido\ /T
Move C:\In\EMBBS*.ARC   C:\File\Fido\ /T /S2:231/34 /PSECRET
Move C:\In\EMBBS*.ARC   C:\File\Net\
%
%   /T       : Touch the file.
%   /F       : Forward the file.
%   /S<Node> : Check Security file for origin node.
%   /P<PWD>  : Security Password must be.
%   /C       : Insert file into FILES.BBS, without any comment.
%   /C<TXT>  : Comments for any files.BBS in the dest. area.
%   /X       : Do a copy, not a Move.
%   /N       : Move only New files (arrived since last session).
%       Note the /C must be the very last flag..
%
% Now let's send the new files and messages
%
%   Forward C:\test.TST [<Flag>]<Node>[![<Password>]],..
%
%     <Flag> : H = Hold (.HLO)    (Default)
%              N = Normal (.FLO)
%              D = Direct (.DLO)
%              C = Crash (.CLO)
%
Forward C:\opus\msg\Point*.*       9999/21,9999/22
%
Forward C:\File\FNews\Fnews*.ARC   230/101!TEST,230/31
Forward C:\File\FNews\Embbs*.ARC   230/101
Forward C:\file\Fido\nodediff.A*   2:23/106,1:9876/5432.1
Forward C:\file\Fido\Z2-diff.A*    230/13,230/101,231/34,234/10,9999/21
Forward C:\File\NEW\X_List*.*      C230/13,H231/34
%
MatrixPath C:\MATRIX\                    % Aha here we have the Matrix area. 

ForwardMsg C:\opus\ctl\Forw_msg.txt      % Let's send a message with the file.

%  You may wish to generate a report of files forwarded through your system.

ForwardReport /A E:\Reports\Forward.Rep

%  ForwardReport [/M] [/C] [/D] [/A] [<RportFile>]
%
%    /M  : Mail the Report.
%    /C  : Copy for CoSysOps....
%    /D  : Delete file after sending.
%    /A  : Append to existing file.

% And let's add some exiting Subject lines....
%
Lan-DR Forward Report
Lan-YG You got yourself a new
%
% Here is some of those that we know... No reason just to send to SysOp..
%
Name 230/13         /N          NaaK Trimning   % /N = No follow up message when
Name 230/101        /N /PTEST   Mik Tuver       %      Lotechmailer is disabled
Name 231/34            /PSECRET Johnny Odgaard  % /P   Send Password file.
Name 9999/22        /L          Henrik Mejnhard % /L   Use LotechMailer.
Name 2:23/105                   George Cordner
Name 1:9876/5432.1              Cr. Ackermann
%
% And let's move all those Tick files too to the correct area..
%
Tick C:\Opus\Ctl\X_Tick.Ctl    % Use this Tick compatible Cfg file...
%
%  You may also to send warious reports, for this we have the Report 
%  statement, you may add as many as you please..

Report /D /S /M /1 E:\Tmp\Dummy.Rep

%  Report <flags> File
%
%     /D : Delete file after sending.
%     /S : Send copy to SysOp.
%     /M : Enable MetaString support...
%     /1 : Send to CoSysOps with Flag 1 set.
%     /2 : Send to CoSysOps with Flag 2 set.
%     /3 : Send to CoSysOps with Flag 3 set.


