%  
%           X_LIST v2.14 sample controlfile for Maximus/Binkley
%           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%
%  X_LIST V2.14 IS NOT PUBLIC DOMAINE MATERIAL - but almost free for most
%  BBS as stated in the documentation - read it.
%

%              *****  G E N E R A L   S e t t i n g s  *****

%Licence                             % If you have a Licence Don't fake it.

SystemPath C:\Max\            % This is the directory with the Max Area.Dat.
%SystemPath C:\Max\Areas.Dat   % An alternative filename for the Max Area file.

XListData C:\X_List\X_LIST.DAT   % X_List's private note book.

% ** WARNING XLogFile MUST always be different from LogFile **

XLogFile c:\X_List\X_List.Log    % X_List's own log file...

LogLevel 6                     % Loglevel for the X_list logfile.
                               %   0  :  No log info.
                               %   1  :  '!'
                               %   2  :  '!','*'
                               %   3  :  '!','*','+'
                               %   4  :  '!','*','+',':'
                               %   5  :  '!','*','+',':','#'
                               %   6  :  '!','*','+',':','#',' '

% When working with a LAN, you may need to change this variable..

%FileMode 2   % Default
%FileMode 0   % Open files as read-only.. Might be usefull in MTASK.
              % Other possible values may be found in you LAN documentation.

BBS   Max                     % We're running an Maximus 1.02 CBCS

Mailer  Binkley                % We're using a Binkley as mailer.
%Mailer  FD                    % Enable this instead if you use FrontDoor.

SysOp Karsten Jyhne            % Name of the SysOp

% Board Name. ** WARNING - NO COMMENTS ALLOVED ON THE BordName CTRL-LINE **

BoardName The HAM Spirit BBS

Address 2:231/87               % Default forward address.
Address 12:200/101             % Use this address for Zone 57 Nodes.
Address 97:9451/4              % Use this address for Zone 97 Nodes.
%Address 2:230/22.17           % Or maybe a full 4 stroke pointaddress.

Drives    CDEFIJ               % the drives available C-F I-J
%MaxDrive  10                  % the maximum drive 3=C:, 10=J:
                               % Use 'Drives' instead.

%Debug                                         % Just in case.

Hindustan No                   % Obvious.

%                  *****  P U B L I C   L I S T  *****

%  Let's make the filelist

OutFile C:\X_LIST\LISTS\HAM_LIST.TXT   % The file that X_List is about to create.

%  Lets's put our LOGO in front of the Public List.

Header C:\max\ham_head.txt    % Call this whatever you like or comment it.

%  And some additional information in the buttom of the list..

Footer C:\max\ham_foot.txt    % Call this whatever you like or comment it.

%  Since the File areas are from 99 to 155 there's no need to scan the rest of
%  the SystemXX.Bbs files. Ok! Just tell X_List:

First 99                        % First file area no.
Last  155                       % Last file area no.

% when using Max, you may use letters as arenumbers.. 
% X_List need these to be translated into numbers staring at 100...

MaxAreas AM AN AR BQ CH CW DU ED FL FN  % Some extra areas to include...
MaxAreas FR FS IL LO MA MB MX NL NO NR  % And a few more...
MaxAreas PA PK RT SA TC TR TT UT VR     % Max 156... No check for dupes.

%  Skip areas that's not available for normal users.

Level Favored                  % Change this to Disgrace,Normal or whatever.

Skip barricad                  % No need to show all that non-pd stuff.

Skip 99                        % A little private area
                               % Areas XA, XB and XF not included in
                               % MaxAreas will also be skiped.
%Skip 28                       % This area is for twits - leave it out.
%Skip 25                       % This is where I'll keep the X_List source.

%Skip text                     % This statement won't force any areas to be
                               % skipped - but leave all text only lines in
                               % your Files.Bbs out of the Public list.

Skip 98 Text                   % Skip text-only in single area

%Skip Missing                  % Do not insert those files that are missing
                               % in the public list.

Skip 98 Missing                % Skip missing files in single area

%  Add an extra area to the list.

%Show 90                       % Show area disregarding privilege and barricade.
Show  3  Missing               % Show missing files in single area
Show  4  Text                  % Show comments in single area

%  And while at it , make a seperate list with the new files.
%  Ex. rename the 'E)xtra Info' in main menu to 'L)ist NEW files'
%  and hook this list on as the Edtorial file.

NewsList C:\X_LIST\LISTS\HAM_NEWS.TXT  % New files on the board.

% Since this is the advanced control file - let's start getting advanced!

% Lets put a custom designed text in the beginning of the output file with a
% nice board-logo and information about your fantastic BBS. By the way , Lets
% refer to the output file as the 'public list' from now on.

%  X_list defaults to mark last months file with a '*' in the Maximus way.
%  You may change the number of days using MarkList.

MarkLast 30

% X_List are going to decide wheter to assign large buffers or not - Lets
% specify how many files we expect to be in the public list.

MaxFiles 1500                  % 1500 is default ( about 60 Mbyte stuff ).

% X_Lists will default to show all areas requiring a privilege level of normal
% or less disregarding baricaed etc.. Lets change that a bit.

% Lets create a textfile containing all files on your board in a format
% readable by dBaseIII and the like.

%CommaFile C:\MAX\50520DB.TXT                  % dBase etc. commafile

% Define your own DBASE format. ** WARNING NO COMMENTS ON THIS CONTROL LINE **

%CommaFormat '%file',%size,'%area'

%       %file    : Name of the file.
%       %size    : The size of the file.
%       %area    : Area number of the file.
%       %comment : Insert file comment in DBASE file.  *** VERY SLOW ***
%       %year    : The year part of the file date.
%       %month   : The month part of the file date.
%       %day   	 : The day part of the file date.
%       %hour  	 : Hour part of the file time.
%       %min   	 : minute part of the file time.
%       %sec   	 : Sec. part of the file time.
%       %zone  	 : Your zone number.
%       %net   	 : Net number.
%       %node  	 : Node number.
%       %point 	 : Point number.

%  Future utilities from Dugfisk unlimited requires an X_list generated
%  Master-index file. This is made by specifying the path to this file
%  and the day of week when it should be written.
%  0=Sunday..6=Saturday and 7=All.
%  The file will be named XXXXYYYY.IDX where XXXX and YYYY are net and node
%  number as 4 HEX digits.

% Index 5 C:\MAX\DANELIB\                    % Write an index every friday!!

%   The public list texts might also be customized

EuroDate                                              % Use Euoropean date form

Lan-UD Updated by                                     % X_LIST V2.xx
Lan-FA File Area #                                    % File area # (header)
Lan-FR (Matrix filerequest possible)                  % Below header
Lan-FP (You need a password to file-request these)    % Below header
Lan-MI Disapeared                                     % Missing files
Lan-FI titles in this area                            % Buttom of each area
Lan-FL titles listed                                  % Total no of files

% And now let's fix the comment in NEWSLIST.TXT

Lan-NF ** New files from the %1 day period %2 - %3 **

%      %1   Number of days to be included..
%      %2   First date included...
%      %3   Today...

%                  *****  A R E A   M A I N T  *****

%  While running through the areas X_List have a chance to do some house
%  Cleaning.

%  While reading all these Files.Bbs files why not get rid of those ugly ^Z's
%  Produced by Fido-Fam 3B4 (Why don't anybody fix this 'bug' ? ).

Rewrite                        % Rewrite and remove ^Z's.
Rewrite 98                     % rewrite of Files.BBS in one area.
Rewrite 97 -                   % Skip rewrite of Files.BBS in one area.

%  Some files might not be in the Files.Bbs files - lets put these poor orphan
%  files where they belong. ( No! Not Dir.Bbs Dir.Bak etc.)

%  X_LIST will tidy your FILES.BBS in different ways etc. by splitting
%  descriptions too long to be displayed by Opus<Tm> into seperate
%  lines with spaces inserted to get the indent right

ReFlow                         % reflow in all areas.
Reflow 9                       % reflow of Files.BBS in one area.
Reflow 10 -                    % Skip reflow of Files.BBS in one area.

Adopt                          % Insert orphans in Files.Bbs

%  Then we are going to remove all those Missing files - nobody needs them.

RemMiss                        % Delete Missing files from Files.Bbs.
RemMiss 98                     % Delete Missing in one area.
RemMiss 97 -                   % Keep Missing in one area.

%  For some reason these files keep showing up in the file directories - Delete
%  Them ( Hiding outside the Files.Bbs won't help these poor files).

Crap Masturba.Arc                              % This is a decent board.
Crap Dir.Bak                                   % No need for this one.
Crap Files.Bak                                 % Hmm! This one too.

%  Create Files.Gbs directories do prevent upload of files.gbs files.

Secure

%  While speeding through the areas , X_List may delete empty files from
%  the directories (unsuccesfull uploads etc.). Use ZapZero.

ZapZero

%  Maybe you just want to know the files wich are outside in the cold.

OrphanReport /M C:\X_LIST\ORPHAN.TXT % Make an Orphan Report to the SysOp.

%    OrphanReport [/M] [/C] [/D] <OrphanFile>]
%
%       /M  : Mail the Report.
%       /C  : Copy for CoSysOps....
%       /D  : Delete file after sending.

%  Any dupes on your board? Lets write a nice report to the SysOp.

DupeReport /M C:\X_LIST\DUPES.TXT

%    DupeReport [/M] [/C] [/D] <DupeFile>]
%
%       /M  : Mail the Report.
%       /C  : Copy for CoSysOps....
%       /D  : Delete file after sending.

%  This one is dangerous!!! - think about it carefully..
%
%  Say you want to delete old copys of the nodelist - and only keep the
%  latest NODELIST.BBS , NODELIST.006 , NODELIST.IDX and NODELIST.SYS
%  This might be done using

%KeepLatest 4 C:\Nodelist\NODELIST.*

%  X_LIST will then look at all the matching files and delete then except
%  those 4 with the lastest date.

%  One more example - this keeps the latest nodediff for download only..

KeepLatest 1 C:\NetInfo\NODELIST.A*
KeepLatest 4 C:\NetInfo\NODEDIFF.A*

%  Touch is simply the good old thing , that stamps current date and time
%  on existing files. This version do handle wildcards.
%  NEVER TOUCH THE FILES X_LIST IS WORKING ON!!

Touch X:\File\Touch?Me.*
Touch E:\File\Info\HAM_LIST.LZH
Touch E:\File\INFO\HAM_LIST.TXT
Touch E:\File\Info\HAM_NEWS.LZH

%  When adopting new files you X_LIST might add a comment

AdoptComment (description missing)

%  And you may replace special characters in the public list and FILES.BBS.
%  The below translations are usefull in Denmark.
%  ** WARNING ** Upload counters like [9] will be changed too!!!

%Convert { 
%Convert | 
%Convert } 
%Convert [ 
%Convert \ 
%Convert ] 
%Convert  
%Convert  
%Convert  

%                     *****  O K F I L E  *****

%  Having a look at most of the file areas , we might as well rewrite the
%  list of requestable files. If you don't know about file requests - shame
%  on you , It's not that tricky.
%
%  Specify the 'OKFILE' path and name and let X_list put a line like
%  C:\MAXIMUS\FILES\LISP\*.* for each area in the public list.

OkFile C:\Binkley\Okfile.lst

%  An include a few others by including a header with some extra paths.

OkHeader c:\Binkley\Okfile.mag

%  Lets bother everybody by adding some hard to remember passwords.
%  Note! Passwording filerequests is not possible when you run
%        in FrontDoor mode - use the security manager for this.

%Password All Dugfrisk        % Use this for all areas ( Don't tell anybody).

%Password 55                  % No password on the Maximus area.
%Password 93 Howde            % Area 93 is a special one.

% Now lets make some magic filenames for our newest versions of these files.
% This option is only for the Binkley/MAXIMUS mailer.

Magic   Nodelist   C:\File\NetInfo\Nodelist.A*
Magic   Nodediff   C:\File\NetInfo\NodeDIFF.A*
Magic   Z2-List    C:\File\NetInfo\Z2-List.A*
Magic   Z2-Diff    C:\File\NetInfo\Z2-Diff.A*
Magic   Region23   C:\File\NetInfo\Region23.*
Magic   Fnews      C:\File\NetInfo\Fnews???.Arc

%  Phew! The Public list and OkFile is now finished. (Hope so).

%                   *****  L O G   A N A L Y Z E  *****

%  Well! Know we know everything about every file let's use it for something.

%  Why not scan the log file and send funny messages to all uploaders?

%  Specify the path and name of your Maximus Log file.

% ** WARNING LogFile MUST always be different from XLogFile **

LogFile C:\BINKLEY\BINKLEY.LOG % I'll bet you won't have to change this one.
LogFile C:\MAX\MAX.LOG         % And a secondary log file.. (Max 10 Logfiles)

%  using MAXIMUS and External protokols like BIMODEM.
%  Note the first character '=' wich is the first character in the Log line.
%  The upload and download option is for an MAXIMUS/Binkley like logfile only

Upload   =RECV       % Bimodem Upload mark in LOG..
Download =SEND       % Bimodem Download log entry..

%  And lets look at the Binkley NetFiles/Mail...

Upload   +Received-  % Binkley received somthing..
Download +Send-      % Binkley sent somthing..

%  And now send a daily message to the SysOp, and the cosyop's

DailyReport

%  DailyReport [/M] [/C] [/D] [<Reportfile>]
%
%     /M  : Mail the Report.
%     /C  : Copy for CoSysOps....
%     /D  : Delete file after sending.

%  Lets give them info on the Maximus/BINKLEY Mailsessions

SessionReport       % Include it into the daily report message,

%SessionReport /M /C /D /A D:\Tmp\Session.Tmp  % Or in seperate message

%    SessionReport [/M] [/C] [/D] [/F] [/I] [/O] [/A] [<Sessionfile>]
%
%       /M  : Mail the Report.
%       /C  : Copy for CoSysOps....
%       /D  : Delete file after sending.
%       /F  : Full report, report all sessions. (default)
%       /A  : Append to existing file.
%       /I  : Report in sessions (other system calling)
%       /O  : Report outgoing sessions (your system calling)
%       /U  : Report User sessions.

%  Lets teach those jerks constantly uploading dupes a lesson.

%  The User.Bbs structure is about to change so let's make a control file
%  to be used be another program and leave the User.Bbs alone.
%  As described in the documentation , the size of the dupes is subtracted
%  from the users upload statistic.

%  We might as well call this file something like

%  UserAdjust C:\Maxs\adjust.ctl                % The SJ-Adjust control file.
                                                % If someone makes
                                                % this for Maximus

%  Everybody is downloading games , why not offer some decent files and leave
%  Then out of the download statistics.

FreeFile HAM_NEWS.TXT                          %
FreeFile HAM_NEWS.LZH                          %   F R E E   F I L E S
FreeFile HAM_LIST.LZH                          %
FreeFile HAM_LIST.TXT                          %

%  You might need to tell X_List the location of your non public upload dir
%  in order to thank everyboddy for the contributions.

Include D:\PUT\*.*                            % Note the wildcards.
%Include 99                                  % Or an Areanumber

%             *****  M A T R I X  /  M E S S A G E S  *****

%  We need a message are to dump the messages

MsgArea 1                        % A local to/from SysOp area.
MsgArea F:\PRIVATE\              % Place user messages in area d:\Msg\local

MsgDrArea 0                      % This is for SysOp eyes Only Only
MsgDrArea F:\private\            % Send Daily report in local area d:\....

InBound C:\InBound\   % Inbound Path This is the place to put the .PKT files.

MsgFrom Karsten Jyhne              % Senders name.
                                   % If not specified the same as SysOp

MsgSize 6                        % Split messages larger than 6-7 Kb.

WelcomeMsg C:\X_LIST\Welcome.txt             % Welcome new Users.

ThanxMsg C:\X_LIST\THANXMSG.TXT              % General thank-you msg.

DupeMsg  C:\X_list\DUPEMSG.TXT               % Msg for dupe-uploaders.

ExeMsg   C:\X_list\NoArcMSG.Txt              % Msg for EXE/COM uploaders.

ExtMsg   PIC  C:\X_list\NoPicMSG.Txt  % Msg for .PIC uploaders.

%  You may customize the texts used in letters

Lan-UL To send                                        % Dupes part I
Lan-WT is a waste of time                             % Dupes part II

Lan-WE Welcome to The Ham Spirit BBS                  % Welcome new users
Lan-DR Your daily report                              % Daily Report
Lan-YG You got yourself a                             % Forward Message
Lan-TH Thanks for sending                             % ThankYou message
Lan-PA Try Arc'ing                                    % Exe/Com uploads
                                                      % and ExtMsg uploads

%  Matrix Mail supported

MatrixPath F:\MATRIX\              % Place Matrix Messages here.
%MatrixPath 90                     % Or use area number (Opus/RA/Max)

%  X_LIST will now delete it's own messages when received.
%  (Note: This will only work if you run an Opus compatible message system!)

KillReceived

%  You may send a copy of the daily report to your CO-SysOps.

CoSysOp             1:99/999.3 Cr. Ackermann     % Our Cosysop
CoSysOp                        Mrs. Ackermann    % Local CoSysOp
CoSysOp /R /D /O /1 9999/30    Hans Steffensen   % point CoSysOp

% CoSysOp [<Flags>] [<Node>] <Name>
%
%   <Flags> : Report Types for this CoSysOp (Default are all types)
%  
%               /R : Daily Report
%               /S : Session Report
%               /D : Dupe Report
%               /O : Orphan Report
%               /D : Forward Report
%               /1 : Send Reports of type 1
%               /2 : Send Reports of type 2
%               /3 : Send Reports of type 3
%           
%   <Node>  : Nodenumber of the CoSysOp (Optional)
%
%   <Name>  : Name of the CoSysOp

% Since we perform file requests from time to time, it would be nice with
% some automatic information in messages

RSPFiles                                 % Convert those Binkley .RSP files 
                                         % to Matrix messages.

%  Uh! I almost forgot. We need to send a copy of the NodeDiff that showed
%  up from the host this afternoon.

%  This calls for the outbound area

OutBound c:\max\traffic\Out\

% Ok lets check if someone sent some new files to be moved to another dir.
%
Move C:\In\nodediff.A*  C:\File\Fido\ /T
Move C:\In\Z2-diff.A*   D:\Nodelist\  /X
Move C:\In\Z2-diff.A*   C:\File\Fido\ /T
Move C:\In\FNEWS*.ARC   C:\File\Fido\ /T
Move C:\In\EMBBS*.ARC   C:\File\Fido\ /T /S2:231/34 /PSECRET
Move C:\In\EMBBS*.ARC   C:\File\Net\
%
%   /T       : Touch the file.
%   /F       : Forward the file.
%   /S<Node> : Check Security file for origin node.
%   /P<PWD>  : Security Password must be.
%   /C       : Insert file into FILES.BBS, without any comment.
%   /C<TXT>  : Comments for any files.BBS in the dest. area.
%   /X       : Do a copy, not a Move.
%   /N       : Move only New files (arrived since last session).
%       Note the /C must be the very last flag..
%
%  And these are the files to send if they got a date/time later than the
%  last X_list session. Note the full address support.

%   Forward C:\test.TST [<Flag>]<Node>[![<Password>]],..
%
%     <Flag> : H = Hold (.HLO)    (Default)
%              N = Normal (.FLO)
%              D = Direct (.DLO)
%              C = Crash (.CLO)

Forward C:\File\FNews\Fnews*.ARC   230/101!TEST
Forward C:\File\FNews\Embbs*.ARC   230/101
Forward C:\file\Fido\nodediff.A*   2:23/106,1:9876/5432.1
Forward C:\file\Fido\Z2-diff.A*    230/13,230/101,231/34,234/10,9999/21
Forward C:\File\NEW\X_List*.*      C230/13,H231/34

%  You may want to send a matrix message along with the files forwarded
%  Use the Meta-Strings to generate the message.

%  If the extension of the file forwarded is .XMG it is considered
%  an ASCII textfile and sent as a matrix-message.(Added since V.2.03)

ForwardMsg C:\X_LIST\FWDMSG.TXT

%  You may wish to generate a report of files forwarded through your system.

ForwardReport /M /C /D E:\Reports\Forward.Rep

%  ForwardReport [/M] [/C] [/D] [/A] [<RportFile>]
%
%    /M  : Mail the Report.
%    /C  : Copy for CoSysOps....
%    /D  : Delete file after sending.
%    /A  : Append to existing file.

%  For DBridge/FrontDoor users LoTechMailer tells X_list to make messages with
%  file attaches instead of .HLO files in the outbound directory.

%LoTechMailer

%  Force usage of INTL lines in all messages.

%ForceINTL                               % Force INTL lines in all messages

%  Or we like to be able to use the Binkley Multi Zone directories.

% Zones             % Use Zone Outbound Directories .001, .003..

HouseClean        % And now let's clean the Outhouse (*.$*) (Binkley)

%  When sending a message along with the file you might want to add the real
%  name of the SysOp instaed of just SysOp.

Name 230/13         /N          NaaK Trimning   % /N = No follow up message when
Name 230/101        /N /PTEST   Mik Tuver       %      Lotechmailer is disabled
Name 231/34            /PSECRET Johnny Odgaard  % /P   Send Password file.
Name 9999/22        /L          Henrik Mejnhard % /L   Use LotechMailer.
Name 2:23/105                   George Cordner
Name 1:9876/5432.1              Cr. Ackermann   % Our CoSysOp..

% And let's move all those Tick files too to the correct area..

Tick C:\x_list\Tic.Cfg    % Use this Tick compatible Cfg file...

%  You may also to send warious reports, for this we have the Report 
%  statement, you may add as many as you please..

Report /D /S /M /1 E:\Tmp\Dummy.Rep

%  Report <flags> File
%
%     /D : Delete file after sending.
%     /S : Send copy to SysOp.
%     /M : Enable MetaString support...
%     /1 : Send to CoSysOps with Flag 1 set.
%     /2 : Send to CoSysOps with Flag 2 set.
%     /3 : Send to CoSysOps with Flag 3 set.

%  You did it! Congratulations.

%       WARNING: Don't use old versions of Stig Jacobsens Adjust
%                program , it might destroy large User.Bbs files.
%                Use the one from this package only.

%       Allways put a <CR><LF> at the end of the controlfile!!
%

